import { PanelType } from "../../../../mk/system/UISystem";

const { ccclass, property } = cc._decorator;

@ccclass
export default class Login extends cc.Component {

    onLoad() {
        
    }

    start() {


    }



    update() {
        if(!gData.loginData.loadResCompelete){
            gData.loginData.loadLocalRes();
            return;
        }
        if (!gData.loginData.isLogin) {
            gData.loginData.login();
            return;
        }
        if(gData.gameData.dataFinish){//登录流程完毕
            mk.ui.openPanel("game",PanelType.game);
        }
    }
}